<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<!--
  Используется PolterChat (c) 2006-2007
  Разработка и поддержка: Арцишевский Павел aka POLTER
  Напоминаю, что Вы не имеете права удалять или изменять
  эту информацию.
-->
<link rel="stylesheet" type="text/css" href="designes/<?=$_SESSION['design']?>/style.css">
<style type="text/css">
#results {
  margin-top: 3px;
  width: 100%;
  display: none
}
#not_found {
  font-size: 15px;
  font-weight: bold;
  margin-top: 50px;
  text-align: center
}
</style>
<title>Поиск пользолвателей</title>
<script type="text/javascript" src="ajax.js"></script>
<script type="text/javascript">
function show_results() {
  var tbody=document.getElementById('results').getElementsByTagName('tbody')[0];
  var not_found=document.getElementById('not_found');
  for (i = tbody.rows.length - 1; i >= 0; i--) tbody.deleteRow(i);
  var results = req.responseXML.documentElement;
  if (results.getElementsByTagName('user').length == 0) {
    document.getElementById('results').style.display = 'none';
    not_found.style.display = 'block';
  }
  for (i = 0; i < results.getElementsByTagName('user').length; i++) {  
    not_found.style.display = 'none';
    var user = results.getElementsByTagName('user')[i];
    var login_v = user.getElementsByTagName('login')[0].firstChild.data;
    var name_v = user.getElementsByTagName('name')[0].firstChild.data;
    var sex_v = user.getElementsByTagName('sex')[0].firstChild.data;
    var age_v = user.getElementsByTagName('age')[0].firstChild.data;
    var country_v = user.getElementsByTagName('country')[0].firstChild.data;
    var town_v = user.getElementsByTagName('town')[0].firstChild.data;
    var icq_v = user.getElementsByTagName('icq')[0].firstChild.data;
    var email_v = user.getElementsByTagName('email')[0].firstChild.data;

    var row = document.createElement('tr');
    tbody.appendChild(row);
    var login = document.createElement('td');
    var name = document.createElement('td');
    var sex = document.createElement('td');
    var age = document.createElement('td');
    var country = document.createElement('td');
    var town = document.createElement('td');
    var icq = document.createElement('td');
    var email = document.createElement('td');
    row.appendChild(login);
    row.appendChild(name);
    row.appendChild(sex);
    row.appendChild(age);
    row.appendChild(country);
    row.appendChild(town);
    row.appendChild(icq);
    row.appendChild(email);
    <?php if (strpos(getenv('HTTP_USER_AGENT'), 'MSIE') != 0)
    echo 'document.getElementById(\'results\').style.display = \'block\';'.chr(10);
    else echo 'document.getElementById(\'results\').style.display = \'table\';'.chr(10);
    ?>
    login.innerHTML = login_v;
    name.innerHTML = name_v;
    sex.innerHTML = sex_v;
    age.innerHTML = age_v;
    country.innerHTML = country_v;
    town.innerHTML = town_v;
    icq.innerHTML = icq_v;
    email.innerHTML = email_v;
  }
}
function send_request() {
  var login = document.forms[0].login.value;
  var name = document.forms[0].name.value;
  var sex = document.forms[0].sex.value;
  var age = document.forms[0].age.value;
  var country = document.forms[0].country.value;
  var town = document.forms[0].town.value;
  var icq = document.forms[0].icq.value;
  var email = document.forms[0].email.value;
  var params = '?login='+login+'&name='+name+'&sex='+sex+'&age='+age+'&country='+country+'&town='+town+'&icq='+icq+'&email='+email;
  var url = 'search.php'+params;
  ajax(url+'&<?=SID?>', 'GET', null, show_results);
  return false;
}
</script>
</head>
<body>
<form action="search.php?<?=SID?>" method="get">
  <table style="width: 100%">
  <tr>
    <td>Логин:</td><td>Имя:</td><td>Возраст:</td><td>Пол:</td>
  </tr>
  <tr>
    <td><input type="text" name="login" size="15" maxlength="20" /></td>
    <td><input type="text" name="name" size="20" maxlength="30" /></td>
    <td><input type="text" name="age" size="9" maxlength="2" /></td>
    <td>
      <select name="sex">
        <option value="3">Не важно</option>
        <option value="1">Мужчина</option>
        <option value="2">Женщина</option>
        <option value="0">Неизвестно</option>
      </select>
    </td>
  </tr>
  <tr><td>Страна:</td><td>Город:</td><td>ICQ:</td><td>E-Mail:</td></tr>
  <tr>
    <td><input type="text" name="country" size="20" maxlength="30" /></td>
    <td><input type="text" name="town" size="20" maxlength="30" /></td>
    <td><input type="text" name="icq" size="9" maxlength="9" /></td>
    <td><input type="text" name="email" size="20" maxlength="20" /></td>
  </tr>
  <tr><td colspan="4" style="text-align: center"><input type="button" value="Искать!"  onclick="send_request()" /></td></tr>
</table>
<table id="results">
<thead>
  <tr>
    <th>Логин</th><th>Имя</th><th>Пол</th><th>Возраст</th><th>Страна</th><th>Город</th><th>ICQ</th><th>E-Mail</th>
  </tr>
</thead>
<tbody>
</tbody>
</table>
<span id="not_found" style="display: none;">Ничего не найдено!</span>
</body>
</html>