function ajax(url,method,params,onload) {
  if (window.XMLHttpRequest) {
    // GECKO броузеры
    req=new XMLHttpRequest();
  } else if (typeof ActiveXObject != undefined) {
    // Internet Explorer
    req=new ActiveXObject("Microsoft.XMLHTTP");
  }
  // Если объект создался
  if (req) {
    try {
      // Вызываем функцию, которая выполнится при успешной передаче
      if (onload) {
        req.onreadystatechange=function() { on_ready_state(onload) };
      }
      // Отсылаем данные
      req.open(method,url,true);
      // Устанавливаем необходимые HTTP-заголовки
      req.setRequestHeader("content-type", "application/x-www-form-urlencoded");
      // Отправляем параметры
      req.send(params);
    } catch (err) {
      // Если объект не создался, то вызвать ошибку
      error();
    }
  }
}
function on_ready_state(onload) {
  if (req.readyState==4) {
    if (req.status==200 || req.status==0) {
      onload.call();
    } else {
      error();
    }
  }
}
function error() {
  alert("Ошибка передачи данных!"
    +"\n\nreadyState:"+req.readyState
    +"\nstatus: "+req.status
    +"\nheaders: "+req.getAllResponseHeaders());
}